﻿using EVCB_OCPP.Packet.Messages;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.WSServer.Message
{
    internal class MessageResult
    {

        internal MessageResult()
        {          
            Success = true;
        }

        internal string RequestId { set; get; }

        internal string UUID { get; set; }

        internal string Action { get; set; }

        internal int Id { get; set; }

        internal bool Success { get; set; }

        internal object Message { get; set; }

        internal Exception Exception { get; set; }

        internal string CallErrorMsg { get; set; }

        internal string ReceivedErrorCode { get; set; }







    }


    internal class  BasicMessageResult
    {
        internal IRequest Request { set; get; }

        internal IConfirmation Confirmation { set; get; }

        internal Exception Exception { get; set; }
    }

}
