﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using EVCB_OCPP.Packet.Messages.SubTypes;
using EVCB_OCPP.WSServer.Dto;

namespace EVCB_OCPP.WSServer.Service
{
    public class LocalBusinessService : IBusinessService
    {

        string customerId = string.Empty;

        public LocalBusinessService(string customerId)
        {
            this.customerId = customerId;
        }

        async public Task<IdTagInfo> Authorize(string chargeBoxId, string idTag)
        {
            await Task.Delay(10);
            return new IdTagInfo() { status = AuthorizationStatus.Accepted };

        }


        async public Task NotifyFaultStatus(ErrorDetails details)
        {
            await Task.Delay(10);
        }
    }
}
