﻿namespace OCPPServer
{
    /// <summary>
    /// 需要被確認的數據包
    /// </summary>
    public class NeedConfirmPacket
    {
        /// <summary>
        /// 資料庫的ID
        /// </summary>
        public int Id { get; set; }

        public string MachineCustomId { get; set; }

        /// <summary>
        /// 傳送次數
        /// </summary>
        public int SentTimes { get; set; }

        /// <summary>
        /// 傳送間隔秒數
        /// </summary>
        public int SentInterval { get; set; }

        /// <summary>
        /// 送出訊息
        /// </summary>
        public string SentMessage { get; set; }

        /// <summary>
        /// 送出的UUID
        /// </summary>
        public string SentUniqueId { get; set; }

        ///// <summary>
        ///// 送出的action
        ///// </summary>
        public string SentAction { get; set; }
    }
}