﻿using SuperSocket.SocketBase.Config;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OCPPServer.Common
{
    public class ListenerConfig : IListenerConfig
    {
        /// <summary>
        /// Gets the ip of listener
        /// </summary>
        private string ip;

        /// <summary>
        /// Gets the port of listener
        /// </summary>
        private int port;

        /// <summary>
        /// Gets the backlog.
        /// </summary>
        private int backlog;

        /// <summary>
        /// Gets the security option, None/Default/Tls/Ssl/...
        /// </summary>
        private string security;

        public ListenerConfig(string a, int b, int c, string d)
        {
            ip = a;
            port = b;
            backlog = c;
            security = d;
        }

        // Property implementation:
        public string Ip
        {
            get
            {
                return ip;
            }

           
        }

        public int Port
        {
            get
            {
                return port;
            }
           
        }

        public int Backlog
        {
            get
            {
                return port;
            }

        }

        public string Security
        {
            get
            {
                return security;
            }

        }
    }
}
