﻿using System.Collections.Generic;

namespace OCPPServer.Common
{
    public class LocalAuthorization
    {
        /// <summary>
        /// 卡片號碼
        /// </summary>
        public string CardNumber { set; get; }

        /// <summary>
        /// 卡片狀態 0:允許充電 1:鎖定卡片(不允許充電) 2:逾期卡片(不允許充電) 3:無效卡片(不允許充電)
        /// </summary>
        public int Status { set; get; }

        /// <summary>
        /// 逾期時間 格式:yyyy-MM-dd HH:mm:ss, 秒一律帶0, 例如:2018-06-08 23:00:00, 可不填寫
        /// </summary>
        public string ExpiryDate { set; get; }
    }
}